<?php
$time = time();
require_once('../../classes/body.class.php');
require_once('../../classes/db.class.php');
require_once('../../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Лотерея "Интуиция"');

///Подключаем шапку
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Лотерея "Интуиция"</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Лотерея "Интуиция"</div>';
echo'<div class="row text_box"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="/billing/inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="/billing/ex.html">Обменять на WMR</a></div><div class="catSides"><i class="md-format-list-bulleted"></i> Информация об игре:</div><div class="row text_box">';
$sm = 'WMR';
$SIMoney='rur';
$money='1';

if (isset($b) && isset($_GET['pokupka']) && $b['' . $SIMoney . '']>=$money){
$gen=mt_rand(1,3);

if ($gen==1){
$a025=mt_rand(1,2);
$a05=mt_rand(1,2);
$a1=mt_rand(1,2);
$a2=mt_rand(1,2);
$a4=mt_rand(1,2);
$a8=mt_rand(1,2);
$a15=mt_rand(1,2);
$a30=mt_rand(1,2);
$a60=mt_rand(1,2);
$a125=mt_rand(1,2);
$a250=mt_rand(1,2);
$a500=mt_rand(1,2);
}
elseif ($gen==2)
{
$a025=mt_rand(1,2);
$a05=mt_rand(1,2);
$a1=mt_rand(1,2);
$a2=mt_rand(1,2);
$a4=mt_rand(1,2);
$a8=mt_rand(1,2);
$a15=mt_rand(1,2);
$a30=mt_rand(1,2);
$a60=mt_rand(1,2);
$a125=mt_rand(1,2);
$a250=mt_rand(1,2);
$a500=mt_rand(1,2);
}
elseif ($gen==3)
{
$a025=mt_rand(1,2);
$a05=mt_rand(1,2);
$a1=mt_rand(1,2);
$a2=mt_rand(1,2);
$a4=mt_rand(1,2);
$a8=mt_rand(1,2);
$a15=mt_rand(1,2);
$a30=mt_rand(1,2);
$a60=mt_rand(1,2);
$a125=mt_rand(1,2);
$a250=mt_rand(1,2);
$a500=mt_rand(1,2);
}


DB::$dbs->query("INSERT INTO `lottery` (`type`, `id_user`, `time`, `s025`, `s05`, `s1`, `read`, `a025`, `a05`, `a1`, `a2`, `a4`, `a8`, `a15`, `a30`, `a60`, `a125`, `a250`, `a500`) values('intuition', '$b[id]', '$time', '0', '0', '2', '1', '$a025', '$a05', '$a1', '$a2', '$a4', '$a8', '$a15', '$a30', '$a60', '$a125', '$a250', '$a500')");
DB::$dbs->query("UPDATE `blogger` SET `" . $SIMoney . "` = '" . ($b['' . $SIMoney . '']-$money) . "' WHERE `id` = '$b[id]' LIMIT 1");
header("Location: index.php?".SID);
}

if (isset($_GET['chek'])){
echo "<div class='row text_box'>";
echo "<b>Поздравляем, вы выиграли <font color='red'>".intval($_GET['chek'])."</font> $sm</b><br />";
echo "Выигрыш перечислен на ваш счет";
echo "</div>";
}



if (isset($b) && isset($_GET['shop']) && $b['' . $SIMoney . '']>=$money){
echo "<div class='row text_box'>";
echo "Покупка билета<br />";
echo "&rarr; Вы уверены что хотите купить билет &quot;Интуиция&quot; стоимостью <font color='red'>$money</font> $sm?<br />";
echo "<form method='post' action='index.php?pokupka'>"; 
echo "<input type='submit' class='btn btn-primary' value='Купить' /> <a href='?'>Отмена</a></form>\n";
echo '</div></div>';
///Подключаем меню
$title->GetMenu();
///Подключаем футер
$title->GetFooter();
exit;
}


$q=DB::$dbs->query("SELECT * FROM `lottery` WHERE `id_user` = '$b[id]' ORDER BY id DESC");
while ($post = $q->fetch()){
echo "<div class='row text_box'>";
echo "&rarr; <font color='red'><b>Билет №$post[id]</font> <font color='blue'>&radic; куплен.</b></font> <a href='/billing/intuition/game.php?id=$post[id]'>[Играть]</a><br />";
echo "</div>";
}




echo "<div class='row text_box'><b>Правила:</b><br />";
echo "Каждый билет имеет 10 уровней. Максимальный выигрыш составляет <font color='blue'>500</font> $sm.
 Игра начинается с первого уровня. На первом уровне перед вами 2 варианта - две кнопки, 
 на которых указаны суммы выигрышей (по <font color='blue'>$money</font> $sm) Вы нажимаете одну из двух кнопок первого уровня. Если 
вы сделаете верный выбор, то ваш выигрыш станет равным сумме, указанной на кнопке. <br />
Пример выигрышного уровня:<br />";
echo "<img src='img/primer1.png'><br />";
echo "Если вы ошибетесь, то под кнопкой окажется красный крестик. В таком случае билет будет считаться невыигрышным и вы ничего не получите.<br />
Пример невыигрышного билета:<br />";
echo "<img src='img/primer2.png'><br />";
echo "Вы можете остановить игру и забрать выигранную сумму, 
нажав кнопку &quot;Забрать выигрыш&quot; на любом из уровней, либо продолжить игру на ваше усмотрение.<br />";
echo "<font color='blue'><b>Каждый билет лотереи &quot;Интуиция&quot; 
выигрышный и может принести вам <font color='green'>500</font> $sm!</b></font><br />";
echo "</div>";
if (isset($b) && $b['' . $SIMoney . '']>=$money){
echo "<div class='row text_box'>";
echo "<form method='post' action='?shop'>";
echo "<input type='submit' class='btn btn-primary' value='Покупка билета ($money $sm)' /></form>";
echo "</div>";
}
elseif (isset($b)) {
echo "Не достаточно средств для покупки билета<br /><form method='post' action='/modules/billing/inwm.html'>"; // Тут пишем свою ссылку где у вас пополняются финансы Гг
echo "<input type='submit' class='btn btn-primary'value='Пополнить счет' /></form>\n";
}

$k_post=DB::$dbs->querySingle("SELECT COUNT(*) FROM `lottery_winners` WHERE `type` = 'intuition'");
$q=DB::$dbs->query("SELECT * FROM `lottery_winners` WHERE `type` = 'intuition' ORDER BY id DESC LIMIT 5");
echo'</div>';
if ($k_post>0)echo '<div class="catSides"><i class="md-format-list-bulleted"></i> Последние победители:</div>';

while ($post = $q->fetch()){
$ank_w = DB::$dbs->query("SELECT * FROM `blogger` WHERE `id` = '$post[id_user]' LIMIT 1")->fetch();
echo "<div class='row text_box'>";
echo '&radic; <font color="red"><b>'.Nick($ank_w['id']).'</b></font> <font color="red">выигрыш</font>  (<font color="#e335d5"><b>'.$post[winners].'</b></font> '.$sm.') ('.vr($post['time']).')<br />';
echo "</div>";
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>